For the complete documentation index, see llms.txt. This page is also available as Markdown.

Pickup Service (operations)

Endpoints to create, update, and read pickup services.

Get a pickupServices by filter

get

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Retrieves all matching pickupServices respecting the filter criteria.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
sizeinteger · min: 1 · max: 500Required

number of entities to show

Default: 25Example: 25
startAfterIdstring · min: 1Optional

all entities after given Id

Example: 6db6a29b-143d-4ffd-ab8b-45cd299cdb00
activeboolean · nullableOptional

Whether this pickupService is active

facilityRefstring · nullableOptional

Filter by facility reference. Matches pickupServices whose context contains a FACILITY entry with this value.

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
Responses
200

Successfully retrieved the pickupServices.

application/json

PickupServices

totalintegerOptional

Total number of found entities for this query

Example: 42
get/api/pickupservices
GET /api/pickupservices?size=25 HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "pickupServices": [
    {
      "nameLocalized": {
        "de_DE": "Wert",
        "en_US": "Value",
        "ru_RU": "значение"
      },
      "descriptionLocalized": {
        "de_DE": "Wert",
        "en_US": "Value",
        "ru_RU": "значение"
      },
      "active": true,
      "context": [
        {
          "type": "FACILITY_GROUP",
          "values": [
            "text"
          ]
        }
      ],
      "created": "2026-01-01T00:00:00.000Z",
      "description": "text",
      "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "lastModified": "2026-01-01T00:00:00.000Z",
      "name": "text",
      "type": "ID_CHECK",
      "version": 1
    }
  ],
  "total": 42
}

Create a pickupService

post

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Creates a new pickupService.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

PickupServiceForCreation

activebooleanRequired

Whether this pickupService is active

typestring · enumRequired

Type of this pickupService

Possible values:
Responses
201

Successfully created the pickupService.

application/json

PickupService

activebooleanRequired

Whether this pickupService is active

createdstring · date-timeRequired

Creation date of this pickupService

descriptionstringOptional

Description of this pickupService

idstringRequired

Unique identifier of this pickupService

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
lastModifiedstring · date-timeRequired

Last modification date of this pickupService

namestringOptional

Name of this pickupService

typestring · enumRequired

Type of this pickupService

Possible values:
versionnumberRequired

Version number of this pickupService

Example: 1
post/api/pickupservices
POST /api/pickupservices HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 248

{
  "nameLocalized": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "descriptionLocalized": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "active": true,
  "context": [
    {
      "type": "FACILITY_GROUP",
      "values": [
        "text"
      ]
    }
  ],
  "type": "ID_CHECK"
}
{
  "nameLocalized": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "descriptionLocalized": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "active": true,
  "context": [
    {
      "type": "FACILITY_GROUP",
      "values": [
        "text"
      ]
    }
  ],
  "created": "2026-01-01T00:00:00.000Z",
  "description": "text",
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "type": "ID_CHECK",
  "version": 1
}

Get a pickupService by its ID

get

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Retrieves a single pickupService using its unique identifier.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

Successfully retrieved the pickupService.

application/json

PickupService

activebooleanRequired

Whether this pickupService is active

createdstring · date-timeRequired

Creation date of this pickupService

descriptionstringOptional

Description of this pickupService

idstringRequired

Unique identifier of this pickupService

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
lastModifiedstring · date-timeRequired

Last modification date of this pickupService

namestringOptional

Name of this pickupService

typestring · enumRequired

Type of this pickupService

Possible values:
versionnumberRequired

Version number of this pickupService

Example: 1
get/api/pickupservices/{id}
GET /api/pickupservices/{id} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "nameLocalized": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "descriptionLocalized": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "active": true,
  "context": [
    {
      "type": "FACILITY_GROUP",
      "values": [
        "text"
      ]
    }
  ],
  "created": "2026-01-01T00:00:00.000Z",
  "description": "text",
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "type": "ID_CHECK",
  "version": 1
}

Update a pickupService by its ID

patch

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Updates a single pickupService using its unique identifier.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body

PickupServiceForUpdate

activebooleanOptional

Whether this pickupService is active

typestring · enumOptional

Type of this pickupService

Possible values:
versionnumberRequired

Version number of this pickupService

Example: 1
Responses
200

Successfully updated the pickupService.

application/json

PickupService

activebooleanRequired

Whether this pickupService is active

createdstring · date-timeRequired

Creation date of this pickupService

descriptionstringOptional

Description of this pickupService

idstringRequired

Unique identifier of this pickupService

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
lastModifiedstring · date-timeRequired

Last modification date of this pickupService

namestringOptional

Name of this pickupService

typestring · enumRequired

Type of this pickupService

Possible values:
versionnumberRequired

Version number of this pickupService

Example: 1
patch/api/pickupservices/{id}
PATCH /api/pickupservices/{id} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 260

{
  "nameLocalized": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "descriptionLocalized": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "active": true,
  "context": [
    {
      "type": "FACILITY_GROUP",
      "values": [
        "text"
      ]
    }
  ],
  "type": "ID_CHECK",
  "version": 1
}
{
  "nameLocalized": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "descriptionLocalized": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "active": true,
  "context": [
    {
      "type": "FACILITY_GROUP",
      "values": [
        "text"
      ]
    }
  ],
  "created": "2026-01-01T00:00:00.000Z",
  "description": "text",
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "type": "ID_CHECK",
  "version": 1
}

Last updated

Was this helpful?